#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

# tell avahi to announce power user as default for ssh
servicefile="$destdir/etc/avahi/services/ssh.service"
poweruser="$(cut -d: -f1,3 "$destdir/etc/passwd" |grep :500|cut -d: -f1)"

[ -s "$servicefile" ] && \
    sed -i "s@</port>@</port><txt-record>u=$poweruser</txt-record>@" "$servicefile"
