#!/bin/sh -efu

. install2-init-functions
. $destdir/etc/sysconfig/i18n

libdir="$(getconf LIBDIR)"
property_file="$destdir/$libdir/firefox/browserconfig.properties"
homedir=/usr/share/doc/HTML
homepage=

[ -s "$property_file" ] || exit 0

for l in "${LANG%%_*}" "en";do
    homepage="$homedir/index-$l.html"
    [ -s  "$destdir/$homepage" ] && break
done

[ ! -s "$destdir/$homepage" ] ||
    sed -r \
	-e "s|^(browser\.startup\.homepage[^=]*)=.*|\\1=file://$homepage|" \
	-i "$property_file"
